version: '3.8'

services:
  mfs-gateway-server:
    image: node:18-alpine
    container_name: mfs_gateway_server
    restart: always
    working_dir: /usr/src/app
    ports:
      - "3000:3000"
    environment:
      - NODE_ENV=production
      - PORT=3000
    volumes:
      - .:/usr/src/app
      - mfs-data:/usr/src/app/db-volume
    command: >
      sh -c "npm install && node server.js"

volumes:
  mfs-data:
    driver: local